# Redocly Portal

## Install

```
$: npm install
```

## Run locally

```
$: npm start
```

## Run tests locally.

- modify package.json by adding to scripts -> test -> PERCY_TOKEN=\<token>. Use token from Percy.io
- run server `npm run start-test-server`
- run tests `npm run test`

## Run cypress tests on PR before merge
Add label `run_tests_cypress` to the PR. It will start running cypress tests.

---

## Publishing Staging/Local envs

- ### To publish stage `verdaccio` on EC2 (for dependency testing)

1. Change version in `package.json` to something meaningful and unique, like `1.1.0-beta.94-verify-fix`
2. `npm i`
3. [Optional] Run `npm run build` to verify that your Portal version is working
4. `npm run prepublishOnly`
5. `npm publish --registry http://3.236.95.236:8000`

- ### To publish local `verdaccio`

1. Install local `verdaccio`. 
It has an official docker image you can use, and in most cases, the default configuration is good enough:
`docker run -it --rm --name verdaccio -p 4873:4873 verdaccio/verdaccio`
2. Change version in `package.json` to something meaningful and unique, like `1.1.0-beta.94-verify-fix`
3. `npm i`
4. [Optional] Run `npm run build` to verify that your Portal version is working
5. `npm run prepublishOnly`
6. `npm publish --registry http://0.0.0.0:4873`

- ### Usage of published Portal version (starter, marketing, ....)

1. Update `dependencies` in `package.json` with your published `@redocly/developer-portal` version
2. `yarn install --registry http://3.236.95.236:8000` for staging or `yarn install --registry http://0.0.0.0:4873` for local env

---