export interface ApiCatalogApiVersion<T = any> {
    metadata: any;
    summary: string;
    link: string;
    isDefault?: boolean;
}
export interface ApiCatalogApi<T = any> {
    title: string;
    link: string;
    versions: ApiCatalogApiVersion<T>[];
    defaultVersion: ApiCatalogApiVersion<T>;
}
export interface Pagination {
    offset?: number;
    limit?: number;
}
export declare function useCatalog<T = any>({ offset, limit }?: Pagination): {
    apis: ApiCatalogApi<T>[];
    loadingRbac: boolean;
    totalCount: number;
    totalPages: number;
    page: number;
};
