const fs=require("fs-extra"),crypto=require("crypto"),path=require("path"),slugify=require("slugify").default,{parseYaml}=require("@redocly/openapi-core"),{slash}=require("gatsby-core-utils"),isRelativeUrl=require(`is-relative-url`),fetch=require("node-fetch").default,chalk=require("chalk"),git=require("simple-git/promise"),throttle=require("lodash.throttle"),visit=require("unist-util-visit"),remark=require("remark"),RBAC=require("./rbac"),{isChildOf,replaceEnv}=require("../../utils/utils"),{getMdxParser}=require("./webpack/mdx/ast"),{isPlainObject}=require("lodash"),YAML_PAGE_EXTENSION=exports.YAML_PAGE_EXTENSION=".page.yaml";exports.CONFIG_FILE_NAME="siteConfig.yaml",exports.SIDEBARS_FILE_NAME="sidebars.yaml";async function readFileAsync(a,b){return new Promise(function(c,d){fs.readFile(a,b,function(a,b){a?d(a):c(b)})})}exports.isYamlBasedPage=a=>a.endsWith(YAML_PAGE_EXTENSION),exports.isAllowedMdxFile=a=>{const{ext:b,name:c}=path.parse(a);return!(c.startsWith("_")||c.startsWith("template-"))&&!(".mdx"!==b)},exports.isAllowedDataFile=a=>{const{ext:b,name:c}=path.parse(a);return!c.startsWith("_")&&[".yaml",".yml",".json"].includes(b)},exports.getDuplicates=(a,b)=>{const c=a.map(a=>a[b]);return c.filter(a=>c.indexOf(a)!==c.lastIndexOf(a))},exports.isAllowedOasFile=async a=>{const{ext:b,name:c}=path.parse(a);if(c.startsWith("_"))return!1;if(![".yaml",".yml",".json"].includes(b))return!1;try{const b=await exports.readYaml(a);return b&&(b.swagger||b.openapi)}catch(a){return!1}},exports.normalizeGatsbyPage=a=>a.startsWith("/")?a:"/"+a,exports.readYaml=async(a,b)=>{try{let c=isRelativeUrl(a)||/^[a-zA-Z]:\//.test(a)?await readFileAsync(a,"utf8"):await(await fetch(a)).text();return b&&(c=b(c)),parseYaml(c)}catch(a){throw a}},exports.tryReadYaml=async(a,b,c={})=>{try{return await exports.readYaml(a,b)}catch(a){return c}},exports.contentDigest=a=>crypto.createHash("sha1").update(JSON.stringify(a)).digest("hex"),exports.createPath=a=>{if(!a)return"";a.endsWith(YAML_PAGE_EXTENSION)&&(a=a.replace(new RegExp(`${YAML_PAGE_EXTENSION}$`),"")),a=a.replace(/\.oas[23]?\.ya?ml$/,"");const{dir:b,name:c}=path.parse(a);return"/"+slash(path.join(b,c)).split("/").map(a=>slugify(a).toLowerCase()).map(a=>a.toLowerCase()).join("/")},exports.relative=(a,b)=>a?path.relative(path.resolve(b),a):null,exports.extractTocHeadings=async function(a){const b=await getMdxParser(a,!0),{mdxNode:c}=a,d=await b.parseAndTransform(c),e=[];return visit(d,"element",a=>{const b=exports.headingRank(a);null===b||e.push({value:getHeadingText(a),depth:b,id:getHeadingID(a)})}),e},exports.extractFirstMdHeading=function(a){const b=remark().parse(a).children.find(a=>"heading"===a.type),c=b&&b.children[0].value;return c},exports.headingRank=function(a){const b=a&&"element"===a.type&&a.tagName.toLowerCase()||"",c=2===b.length&&104===b.charCodeAt(0)?b.charCodeAt(1):0;return 48<c&&55>c?c-48:null};function getHeadingID(a){const b=a.children.find(a=>a.properties&&[a.properties.class,a.properties.className].includes("hidden-anchor"));return b&&b.properties&&b.properties.id}function getHeadingText(a){return a.children.filter(a=>["text","jsx"].includes(a.type)).map(a=>"text"===a.type?a.value:a.value.replace(/(<([^>]+)>)/gi,"")).join(" ")}exports.copyFile=function(a,{context:b,getNodesByType:c,getNodeAndSavePathDependency:d,pathPrefix:e,reporter:f},g,h){if(!a||!isRelativeUrl(a))return a;const i=path.resolve(g,a),j=c("File").find(a=>a.absolutePath===slash(i));if(!j)return f.warn(chalk.yellow(`Cannot find local file ${a}`)),null;const k=b?d(j.id,b.path):j,l=path.resolve(h,"static");if(isChildOf(i,l))return`${e}/${slash(path.relative(l,i))}`;const m=`${j.name}-${j.internal.contentDigest}${k.ext}`,n=path.join(process.cwd(),`public`,`static`,m);return RBAC.RBACConfig[path.relative(path.join(process.cwd(),`public`),n)]=RBAC.getDirectoryPermission(h,path.dirname(k.absolutePath)),fs.existsSync(n)||fs.copy(k.absolutePath,n,a=>{a&&f.panicOnBuild(`Error copying file from ${k.absolutePath} to ${n}`,a)}),`${e}/static/${m}`},exports.staticCopyFile=function(a,{reporter:b,pathPrefix:c},d,e){if(c=normalizePathPrefix(c),"/"===c&&(c=""),!a||!isRelativeUrl(a))return a;const f=path.resolve(d,a);if(!fs.existsSync(f))return b.warn(chalk.yellow(`Cannot find local file ${a}`)),null;const g=path.resolve(e,"static");if(isChildOf(f,g))return`${c}/${slash(path.relative(g,f))}`;const h=path.extname(f),i=exports.contentDigest(fs.readFileSync(f,"utf-8")),j=`${path.basename(f,h)}-${i}${h}`,k=path.join(process.cwd(),`public`,`static`,j);return RBAC.RBACConfig[path.relative(path.join(process.cwd(),`public`),k)]=RBAC.getDirectoryPermission(e,path.dirname(f)),fs.existsSync(k)||fs.copy(f,k,a=>{a&&b.panicOnBuild(`Error copying file from ${f} to ${k}`,a)}),`${c}/static/${j}`},exports.copyReferencedFiles=function e(a,b,c,d){if(!a)return a;const f=Array.isArray(a)?[]:{};for(let g of Object.keys(a))if("string"==typeof a[g]&&a[g]){const e=a[g].startsWith("/")?path.resolve(d,a[g].slice(1)):path.resolve(c,a[g]);if(fs.existsSync(e)&&fs.statSync(e).isFile(e)){if([".md",".mdx"].includes(path.extname(e))||e.endsWith(".page.yaml")){const a=b.getNodesByType("ContentItem").find(a=>a.sourcePath===e);f[g]=a&&a.link||f[g]}else f[g]=exports.copyFile(e,b,c,d)||f[g];f["original_"+g]=a[g]}else f[g]=a[g]}else f[g]="object"==typeof a[g]&&null!==a[g]?e(a[g],b,c,d):a[g];return f},exports.isAllowedFileName=a=>"readme.md"!==a.toLowerCase()&&!path.basename(a).startsWith("_");function normalizePathPrefix(a){return addLeadingSlash(removeTrailingSlash(a))}function removeTrailingSlash(a){return a.endsWith("/")?a.substring(0,a.length-1):a}function addLeadingSlash(a){return a.startsWith("/")?a:`/${a}`}async function gitStatus(a){return await git(a).silent().status()}const throttledGitStatus=throttle(gitStatus,{leading:!0});exports.getLastModifiedForFileNode=async function(a,b){const{absolutePath:c,modifiedTime:d}=a;return exports.getLastModifiedForFile(c,b,d)},exports.getLastModifiedForFile=async function(a,b,c){try{c=c||fs.statSync(a).mtime;const d=await throttledGitStatus(b),e=d.files.some(c=>slash(path.resolve(b,"..",c.path))===slash(a));if(e)return c;else{const d=await git(b).silent().log(["--",a]);return d.latest&&d.latest.date&&toISO(d.latest.date)||c}}catch(a){return c||null}};function toISO(a){return new Date(Date.parse(a)).toISOString()}async function createRootSidebarConfig(a,b){const c=await b(a,replaceEnv),d=isPlainObject(c.context)&&Array.isArray(c.pages),e=Array.isArray(c)||d?{["__root-sidebar__"+a.replace(/[\/\\]/g,"-")]:c}:{...c};return e}exports.createRootSidebarConfig=createRootSidebarConfig;